[Swift-commit] r4641 - usertools/plotter
wozniak at ci.uchicago.edu
wozniak at ci.uchicago.edu
Mon Jun 20 15:12:52 CDT 2011
Author: wozniak
Date: 2011-06-20 15:12:51 -0500 (Mon, 20 Jun 2011)
New Revision: 4641
Modified:
usertools/plotter/swift_plotter.zsh
Log:
Reorg jar file usage
Modified: usertools/plotter/swift_plotter.zsh
===================================================================
--- usertools/plotter/swift_plotter.zsh 2011-06-20 20:11:14 UTC (rev 4640)
+++ usertools/plotter/swift_plotter.zsh 2011-06-20 20:12:51 UTC (rev 4641)
@@ -5,11 +5,22 @@
# declare -p PLOTTERS
source ${PLOTTERS}/classpath.zsh
-#[[ $? != 0 ]] && print "Could not build CLASSPATH!" && return 1
+if [[ $? != 0 ]]
+then
+ print "Could not build CLASSPATH!"
+ return 1
+fi
if [[ ${PLOTTER_DEBUG} != "" ]]
then
DEBUG="-agentlib:jdwp=transport=dt_socket,server=y,address=1230"
fi
-java -ea ${DEBUG} -jar lib/plotter.jar ${*}
+JAR=${PLOTTERS}/lib/plotter.jar
+if [[ ! -f ${JAR} ]]
+then
+ print "JAR file not found!"
+ return 1
+fi
+
+java -ea ${DEBUG} -cp ${JAR}:${CP} plotter.Plotter ${*}
More information about the Swift-commit
mailing list